# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'soar_analytics/version'

Gem::Specification.new do |spec|
  spec.name          = 'soar_analytics'
  spec.version       = SoarAnalytics::VERSION
  spec.authors       = ['Barney de Villiers']
  spec.email         = ['barney.de.villiers@hetzner.co.za']

  spec.summary       = %q{Analytics toolset for the SOAR architecture}
  spec.description   = %q{Analytics toolset for the SOAR architecture that provides for easy analysis of matters such as performance}
  spec.homepage      = 'https://github.com/hetznerZA/soar_analytics'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.11'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'byebug', '~> 9'
  spec.add_development_dependency 'soar_auditing_format', '~> 0.0.5'
  spec.add_development_dependency 'soar_auditing_provider', '~> 1.0'
  spec.add_development_dependency 'log4r_auditor', '~> 1.0'
  spec.add_development_dependency 'soar_flow', '~> 0.1'

  spec.add_dependency 'soar_auditing_format', '~> 0.0.5'

end
